EDIT - feature request #7793

Master ticket for E+M editor issues
09/27/2018 11:20 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 60%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal

Description

Following issues should be solved for E+M migration:
Perspectives:

e start perspective with reduced number of windows, media is not needed for E+M (maybe adapt checklist perspective for E+M)
Detailsview

* MAN show only sensu reference, doubtful informations, remove err. sec and details : moved to #7860

e PP remove rel sec, and details: moved to #7860

e Namedetails: remeve-noemenclatural-code, LSID, seereference-details, protologques, typeddesignations - mostly already

available, check for each element

e Secreference-disabled (only for Accepted and Synonyms, not concept relations)

NameRelations (see #7809)

¢ we should have a formater like for concept relations (=> AM): moved to #7860

TaxonNavigator
¢ allow multiselect to open a set of specific taxa (e.qg. if a genus is very large) : moved to #7860

Sources

. . inalint .
¢ removelbD-in-SeurceD-ramespace (see also #8294)

Factual data

selectable areas for common name areas

Distribution Editor

o it . :
¢ open for more then one subtree
o o viewt o
https://dev.e-taxonomy.eu/redmine/issues/7860
https://dev.e-taxonomy.eu/redmine/issues/7860
https://dev.e-taxonomy.eu/redmine/issues/7809
https://dev.e-taxonomy.eu/redmine/issues/7860
https://dev.e-taxonomy.eu/redmine/issues/7860
https://dev.e-taxonomy.eu/redmine/issues/8294

* sometimes-netallselected-areas-are-shewn
e remove factual data view, wenn opening distribution editor: moved to #7854

Related issues:

Related to EDIT - feature request #7809: Improve namerelationship handling in...
Related to EDIT - feature request #7063: Improve the area selection wizard fo...
Related to EDIT - bug #6159: improve distribution editor in TaxEditor

Related to EDIT - feature request #7235: Make available area vocabularies a d...
Related to EDIT - feature request #8294: Make display of ID in source and ID ...
Precedes EDIT - feature request #7860: [Master] Remaining E+M editor issues
Copied to EDIT - feature request #7810: DB preference to make Specimen editor...

Feedback
Closed
Closed
Closed
Closed
New
Closed

Associated revisions

Revision 3b975922 - 10/09/2018 03:18 PM - Katja Luther

ref #7793: add DB preferences to hide specimen and import issues and smaller changes in db preferences

Revision cc4e78d1 - 10/10/2018 02:01 PM - Katja Luther

ref #7793: add preference to set checklist perspective as default

Revision 87cbb479 - 10/10/2018 02:47 PM - Katja Luther

ref #7793: preferencePredicate for mediaview and checklist perspective

Revision 69be3e73 - 10/10/2018 03:37 PM - Katja Luther

ref #7793: add preference to hide all specimen related issues

Revision 4443b90a - 10/11/2018 01:31 PM - Katja Luther

ref #7793: adapt taxonnode wizard and add menu item to set unplaced in navigator

Revision 83f2186a - 10/11/2018 02:01 PM - Katja Luther

ref #7793: adapt taxonnode wizard and add menu item to set excluded in navigator

Revision 05a6f11d - 10/12/2018 10:16 AM - Katja Luther

ref #7793: add preference for show taxonnode wizard

Revision 3d9956a8 - 10/12/2018 10:24 AM - Katja Luther

ref #7793: smaller changes in original sources part

Revision 8d2b7d49 - 10/12/2018 01:13 PM - Katja Luther

ref #7793: add preferencePredicates for taxeditor

Revision 321b9521 - 10/13/2018 07:10 AM - Katja Luther

ref #7793: fix problem with details view after save in distribution editor

Revision 2a4b0092 - 10/15/2018 11:55 AM - Katja Luther

ref #7793: show supplemental data for distribution editor and smaller bugfix for distribution editor preferences

Revision 74389de2 - 10/15/2018 04:04 PM - Katja Luther
https://dev.e-taxonomy.eu/redmine/issues/7854
https://dev.e-taxonomy.eu/redmine/issues/7810

ref #7793: smaller chenges in factual data context menu

Revision fe3f1¢c66 - 10/17/2018 10:24 AM - Andreas Miiller

ref #7793 rename English command for Move Factual Data to Other Taxon to ... Data Set ...

Revision 30189b61 - 10/18/2018 10:32 PM - Katja Luther

ref #7793: add cdm preference to disable multi classification functionality

Revision 6e0d89ec - 10/18/2018 10:32 PM - Katja Luther

ref #7793: preference to disable id in source and name in source

Revision c8e611f0 - 10/19/2018 06:55 AM - Katja Luther

ref #7793: add preferencePredicate for disable multiple classifications

Revision 62306db3 - 10/19/2018 11:25 PM - Katja Luther

ref #7793: fix named area and commonNameArea selection filter

Revision 6fa5¢755 - 10/20/2018 01:07 PM - Katja Luther

ref #7793: add possibility to disable sec and do not show sec details

Revision 37058586 - 11/12/2018 05:14 PM - Andreas Miiller
rename SHOW_NAME_IN_SOURCE to SHOW_NAMESPACE_IN_SOURCE in taxeditor

Revision a606cd84 - 11/12/2018 05:19 PM - Andreas Miiller
rename SHOW_NAME_IN_SOURCE to SHOW_NAMESPACE_IN_SOURCE in taxeditor

Revision 1731b6d1 - 01/07/2019 03:26 PM - Katja Luther

ref #7793: remove classification and reuse taxon in new taxon wizard

Revision 332bd217 - 01/07/2019 03:29 PM - Katja Luther

ref #7793: remove classification and reuse taxon in new taxon wizard

Revision 1f351807 - 01/07/2019 03:39 PM - Katja Luther
ref #7793: update perspective when changing db

Revision a52e2921 - 01/14/2019 02:51 PM - Katja Luther

ref #7793: add placeholder for media view in checklist perspective

History

#1 - 09/27/2018 11:24 AM - Katja Luther

- Description updated

#2 - 09/27/2018 12:55 PM - Andreas Miuller

- Description updated

#3 - 10/08/2018 01:09 PM - Katja Luther

- Related to feature request #7809: Improve namerelationship handling in editor added

#4 - 10/08/2018 01:10 PM - Katja Luther

- Description updated

#5 - 10/08/2018 01:30 PM - Katja Luther

- Copied to feature request #7810: DB preference to make Specimen editors visible added

#6 - 10/09/2018 02:14 PM - Katja Luther

- Description updated
#7 - 10/10/2018 02:27 PM - Katja Luther
- Description updated

#8 - 10/10/2018 03:38 PM - Katja Luther
- Description updated

#9 - 10/10/2018 03:39 PM - Katja Luther
- Description updated

#10 - 10/11/2018 01:32 PM - Katja Luther
- Description updated

#11 - 10/11/2018 02:02 PM - Katja Luther
- Description updated

#12 - 10/12/2018 10:24 AM - Katja Luther
- Description updated

- Status changed from New to In Progress

#13 - 10/15/2018 10:34 AM - Katja Luther

- Description updated

#14 - 10/15/2018 10:35 AM - Katja Luther

- Description updated

#15 - 10/17/2018 10:25 AM - Andreas Muller

- Description updated

#16 - 10/17/2018 10:37 AM - Andreas Muller

Now the New command in Factual Data View is on top, but in parallel we have "New Factual Data Set" and "New Factual Datas Set with source"
which is not in the same New menu and even not in the same group.

As we use a submenu for new anyway can't we put it there, at least if the "New->(Feature)" menu is also available. This is more consistent. And, once
a data set already exists it is very rarely used so no problem to have it in a submenu.

#17 - 10/17/2018 03:11 PM - Andreas Miiller
- Description updated
- % Done changed from 0 to 30

#18 - 10/17/2018 10:02 PM - Andreas Miiller

- Description updated

#19 - 10/18/2018 10:22 PM - Katja Luther
- Description updated

- % Done changed from 30 to 0

#20 - 10/18/2018 10:35 PM - Katja Luther
- % Done changed from 0 to 60

the following db preferences are not available in admin preference pages yet, but can be added in DB:

e disable multi classification
e show IdInSource and ShowNamelnSource

#21 - 10/20/2018 01:08 PM - Katja Luther

- Description updated

#22 - 10/20/2018 01:23 PM - Katja Luther
for taxon details view the possibility to disable the sec reference and to remove the sec detail is added to the namedetails view configuration

the configuration of MAN and PP is not implemented yet.

#23 - 10/23/2018 10:47 AM - Andreas Miuiller

- Description updated

#24 - 10/23/2018 10:48 AM - Andreas Miiller
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Set to resolved to do review for current version. Move open issues to follow up ticket.

#25 - 10/23/2018 10:52 AM - Andreas Miuiller

- Related to feature request #7063: Improve the area selection wizard for distribution editor added

#26 - 10/23/2018 10:56 AM - Andreas Miiller
- Related to bug #6159: improve distribution editor in TaxEditor added

#27 - 10/23/2018 11:09 AM - Andreas Miiller

- Related to feature request #7235: Make available area vocabularies a database preference for TaxEditor distribution editor added

#28 - 10/24/2018 02:15 PM - Andreas Miiller

- Precedes feature request #7860: [Master] Remaining E+M editor issues added

#29 - 10/24/2018 02:52 PM - Andreas Miiller

- Description updated

#30 - 10/24/2018 03:42 PM - Andreas Miiller

- Description updated

#31 - 10/24/2018 03:44 PM - Andreas Miiller

- Description updated

#32 - 10/24/2018 03:51 PM - Andreas Miiller

- Description updated

#33 - 10/24/2018 04:09 PM - Andreas Miiller

- Status changed from Resolved to Feedback

Change "Use checklist perspective" seems to change local settings. Once this is set to true it was impossible for me to set it back to standard
perspective. The perspective is set immediately during TaxEditor start up but should open only after selecting the database.

If | connect to another DB it still shows the Checklist perspective even after TaxEdtior restart.

#34 - 10/24/2018 04:21 PM - Andreas Miiller

- Description updated

#35 - 10/24/2018 04:24 PM - Andreas Miiller

add menu items for setting of excluded or unplaced flag

it seems to work with local settings only, if one changes the value in the DB it has no effect

#36 - 10/24/2018 04:49 PM - Andreas Miiller

Andreas Muller wrote:

add menu items for setting of excluded or unplaced flag
it seems to work with local settings only, if one changes the value in the DB it has no effect

Sorry, this was not correct, | accidentely used an old TaxEditor version.

It seems to work if allowOverride = false. If allowOverride = true is uses some local configuration which is unclear where it is stored and it can not be
set via local preferences.

#37 - 10/24/2018 05:08 PM - Andreas Miiller

DB preference to make all functionality related to multiple classification and reuse taxon support unavailable

We can also disable "Select Classification” in e.g. "Choose new parent" dialogs for moving tax (there are a couple of these dialogues throughout the
application

#38 - 10/24/2018 05:10 PM - Andreas Miiller

DB preference to make all functionality related to multiple classification and reuse taxon support unavailable (except for reusing taxa for
MAN/ppSyns)

In "New" Taxon Dialog there is still "Classification" and "Reuse existing taxon" available but shouldn't

#39 - 11/12/2018 07:18 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

#40 - 01/07/2019 03:27 PM - Katja Luther

Andreas Muller wrote:

DB preference to make all functionality related to multiple classification and reuse taxon support unavailable (except for reusing taxa for
MAN/ppSyns)

In "New" Taxon Dialog there is still "Classification" and "Reuse existing taxon" available but shouldn't

this is fixed

#41 - 01/07/2019 03:39 PM - Katja Luther

Andreas Muller wrote:

Change "Use checklist perspective" seems to change local settings. Once this is set to true it was impossible for me to set it back to standard
perspective. The perspective is set immediately during TaxEditor start up but should open only after selecting the database.

If | connect to another DB it still shows the Checklist perspective even after TaxEdtior restart.

this is fixed

#42 - 05/13/2019 02:25 PM - Andreas Miiller
- Related to feature request #4129: Allow filtering by OriginalSourceType added

#43 - 05/13/2019 02:31 PM - Andreas Miiller
- Related to deleted (feature request #4129: Allow filtering by OriginalSourceType)

#44 - 05/23/2019 11:15 AM - Andreas Muller

- Description updated

#45 - 06/03/2019 11:16 AM - Andreas Miiller
- Related to feature request #8294: Make display of ID in source and ID Namespace configurable added

#46 - 03/09/2020 10:21 AM - Katja Luther
- Target version changed from Release 5.4 to Release 5.14

#47 - 03/09/2020 10:45 AM - Andreas Miiller

| don't understand why this was moved from 5.4 to 5.14. This ticket has a follow up ticket #7860 which includes all(?) open issues. Is there another
reason for moving it to 5.14.

#48 - 03/09/2020 10:46 AM - Katja Luther
- Status changed from Feedback to Closed

- Target version changed from Release 5.14 to Release 5.4

No this was a mistake, we can close this ticket, | missed to set the filter to 5.13.
